@import "design-mixins";

$default-easing: cubic-bezier(0.77, 0, 0.175, 1);

.btn-01 {
	background: #fff;
	text-transform: uppercase;
	letter-spacing: 0.2rem;
	color: #6b6b6b;
	font-size: 0.85rem;
	font-weight: 700;
	text-decoration: none;
	line-height: 1;
	text-align: center;
	padding: 1.25rem;
	position: relative;
	perspective: 1500px;
	
	span {
		width: 100%;
		display: block;
	}
	
	span.default-text {
		@include transition(all 0.5s $default-easing);
		@include transform(rotateX(0deg));
		opacity: 1;
	}
	
	span.hover-text {
		@include transition(all 0.5s $default-easing);
		position: absolute;
		top: 1.25rem;
		left: 0;
		@include transform(rotateX(90deg));
		opacity: 0;
	}
	
	&:hover {
		span.default-text {
			@include transition(all 0.5s $default-easing);
			@include transform(rotateX(-90deg));
			opacity: 0;
		}
		span.hover-text {
			@include transition(all 0.5s $default-easing);
			@include transform(rotateX(0deg));
			opacity: 1;
		}
	}
}

.btn-02 {
	@include linear-gradient(135deg, #9657ff, #623dff);
	text-transform: uppercase;
	letter-spacing: 0.2rem;
	color: #fff;
	font-size: 0.85rem;
	font-weight: 700;
	text-decoration: none;
	line-height: 1;
	text-align: center;
	padding: 1.25rem 4rem;
	position: relative;
	perspective: 1500px;
	@include border-radius(100px);
	box-shadow:
		0 2px 8px rgba(0,0,0,0.65),
		inset 0 0 1px 1px rgba(255,255,255,0.2);
	@include transform(scale(1));
	@include transition(all 0.5s $default-easing);
	
	&:hover {
		@include transition(all 0.5s $default-easing);
		box-shadow:
			0 4px 16px rgba(0,0,0,0.65),
			inset 0 0 12px rgba(255,255,255,0.2);
		@include transform(scale(1.1));
	}
}